###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### check for exiv2

pkg_search_module( EXIV2 exiv2 )
if( NOT EXIV2_FOUND )
   tde_message_fatal( "exiv2 is required, but was not found on your system" )
endif( NOT EXIV2_FOUND )

check_include_file_cxx( "exiv2/exiv2.hpp" HAVE_EXIV2_HPP )


##### check for <kdemacros.h> header

tde_save( CMAKE_REQUIRED_INCLUDES )
list( APPEND CMAKE_REQUIRED_INCLUDES "${TDE_INCLUDE_DIR}" )
check_include_file( "kdemacros.h" KDEMACROS_USABLE )
tde_restore( CMAKE_REQUIRED_INCLUDES )
